<?php
/**
* @version $Id: install.php $
* @version		1.2.0 06/03/2019
* @package		plg_k2nocachepagebreak
* @author       Bernard Saulm
* @copyright	Copyright (C) 2011 - 2019 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

/*
 * Enable, the plugin after install >= J!1.6
 */
 
class plgSystemk2nocachepagebreakInstallerScript {
	function postflight($type, $parent) {

		$app = JFactory::getApplication();

		// Get this plugin group, element
		$group = 'system';
		$element = 'k2nocachepagebreak';

		if ($type == 'install') { // Enable plugin
			$this->enablePlugin($group, $element);
		}
	}

 	function enablePlugin($group, $element) {
		$plugin = JTable::getInstance('extension');
		if (!$plugin->load(array('type'=>'plugin', 'folder'=>$group, 'element'=>$element))) {
			return false;
		}
		$plugin->enabled = 1;

		return $plugin->store();
	}
}

?>
